// Hello New Layout (using FlowPane)
import javafx.application.Application;
import javafx.scene.Scene;  //Scene
import javafx.scene.control.*;   // Button, Label
import javafx.scene.layout.*;   //BorderPane
import javafx.stage.Stage;  //Stage
 
public class HelloNewLayout extends Application {
	@Override
	public void start(Stage pstage) {
		Button b1 = new Button("{^1");
		Button b2 = new Button("{^Q");
		Label label = new Label("ɂ");
	
		HBox hb = new HBox();
	
		hb.getChildren().add(b1); 
		hb.getChildren().add(b2); 
	
		VBox root = new VBox();
		root.getChildren().add(label);
		root.getChildren().add(hb);

		Scene scene = new Scene(root);

		pstage.setTitle("New Layout");
		pstage.setScene(scene);
		pstage.sizeToScene();
		pstage.show();
	}

	public static void main(String[] args) {
		launch(args);
	}
}
