import javafx.application.Application;
import javafx.scene.*;  //Scene
import javafx.stage.Stage;
import javafx.scene.layout.*;   //Pane
import javafx.scene.shape.*;  //Rectangle
import javafx.scene.paint.*; //Color

public class FlyField extends Application {
	Pane root;
	double w = 400, h = 400;
	@Override
	public void start(Stage stage) {
		root = new Pane();
		root.setPrefSize(w, h);
		Scene scene = new Scene(root);
		makeShapes();
		stage.setTitle("Fly Field");
		stage.setScene(scene);
		stage.show();
	}
	void makeShapes() {
		root.getChildren().add(new Rectangle(0, 0, w, h));
		Firefly flies[] = new Firefly[10];
		for(int i=0; i<flies.length; i++){
			//ŏTCY10, ω̍ŏoߎ
			flies[i] = new Firefly(Math.random()*30+10, Math.random()*2000+1000);
			flies[i].setCenterX(Math.random()*w);
			flies[i].setCenterY(Math.random()*h);
			root.getChildren().add(flies[i]);
		}
	}

    public static void main(String... args) {
        launch(args);
    }    
}
