// RadioButton
import javafx.application.Application;
import javafx.scene.Scene;  //Scene
import javafx.scene.control.*;   // Label
import javafx.scene.layout.*;  //VBox
import javafx.stage.Stage;  //Stage
import javafx.scene.image.*;    //Image, ImageView
import javafx.geometry.*;   //Insets

public class RadioButtonExample extends Application {
	@Override
	public void start(Stage pstage) {
		RadioButton rb1 = new RadioButton("");  //WI{^
		RadioButton rb2 = new RadioButton("x");   //WI{^
		RadioButton rb3 = new RadioButton("|");   //WI{^
		ToggleGroup group = new ToggleGroup(); //gOO[v
		rb1.setToggleGroup(group);  //gOO[vփWI{^
		rb2.setToggleGroup(group);
		rb3.setToggleGroup(group);
		rb1.setSelected(true);  //擪̃WI{^IԂɂ
		VBox root = new VBox();
		root.setSpacing(20);  //xԊu
		root.setPadding(new Insets(15, 10, 15, 10));  //ẼXy[X
		root.getChildren().addAll(rb1, rb2, rb3);  //WI{^Reiɔzu
		Scene scene = new Scene(root);
		pstage.setTitle("RadioButton Sample");
		pstage.setScene(scene);
		pstage.show();
	}

	public static void main(String[] args) {
		launch(args);
	}
}
