// {[͂˂
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.*;  //Scene
import javafx.scene.layout.*;  //Pane
import javafx.scene.canvas.*;  //Canvas, GraphicsContext
import javafx.scene.image.*; //Image
import javafx.animation.*;

public class BoundBall extends Application {
	Canvas canvas;
	double w = 400;  // ʃTCY
	double h = 400;
	double x = 0; // {[XW
	double y = 0;   // {[YW
	double diameter = 10.0; // {[a
	double speedX = 2; // {[Xx
	double speedY = 2; // {[Yx
	double directionX = 1; // {[Xړ
	double directionY = -1; // {[Yړ

	@Override public void start(Stage stage) {
		Pane root = new Pane();
		canvas = new Canvas(w, h);
		root.getChildren().add(canvas);
		Scene scene = new Scene(root);
		stage.setTitle("Bound Ball");
		stage.setScene(scene);
		stage.show();
		AnimationTimer timer = new AnimationTimer() { //^C}[̐
			@Override public void handle(long now){
				drawCanvas();
			}
		};
		timer.start();   //Aj[V̊Jn
    }

	void drawCanvas() {
		GraphicsContext gc = canvas.getGraphicsContext2D();
		gc.clearRect(0, 0, w, h);  // wih
		x += speedX * directionX;  // WvZ
		y += speedY * directionY;
		if (x > w-diameter) {   // E̕
			x = w-diameter;
			directionX = -directionX; // xϊ
			speedX = Math.random()*6+2; //Xs[h2|WɂB
			speedY = Math.random()*3+2;
		} else if (x < 0) { // ̕
			x = 0;
			directionX = -directionX; // xϊ
			speedX = Math.random()*6+2;
			speedY = Math.random()*3+2;
		}
		if (y > h-diameter) { //̕
			y = h-diameter;
			directionY = -directionY; // yϊ
			speedX = Math.random()*6+2;
			speedY = Math.random()*3+2;
		}else if (y < 0) {     // ̕
			y = 0;
			directionY = -directionY; // yϊ
			speedX = Math.random()*6+2;
			speedY = Math.random()*3+2;
		}
		gc.fillOval(x, y, diameter, diameter);   //~
	}

	public static void main(String... args) {
		launch(args);
	} 
}